# Array remove

An action block that removes an element from an array.

The fiber will proceed immediately without pause.

The element at position index will be removed and any subsequent elements will be shifted to the left, subtracting one of their indices. If index is empty, or evaluate to `null`, the first element will be removed. If the Array variable isn’t already assigned an array, a new array is assigned.

## Variable

- Array — variable to assign, or assigned with the array to modify.

## Input arguments

- Index — element to remove, default is first element, index 0.

## Output variables

- Value removed — variable to assign the value of the removed element.